
CoCoA-5 - Design #477

Eliminate keyword Alias?

14 Mar 2014 20:44 - John Abbott

Status: New Start date: 14 Mar 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Cleaning Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.50 hour

Description

I think the concept of Alias is no longer needed (or only very rarely).

Can we eliminate it?

Related issues:

Related to CoCoA-5 - Design #478: Use of dollar-dot ($.) in packages Closed 16 Mar 2014

History

#1 - 14 Mar 2014 20:46 - John Abbott

I have removed several uses of Alias but making use of $. in packages.

There are some cases where it cannot be removed trivially.  Investigate!

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 04 Apr 2014 14:31 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?
